Last Comment Bug 716427 - Mercurial account request for German localization - Thomas Schwecherl
: Mercurial account request for German localization - Thomas Schwecherl
Status: RESOLVED FIXED
ssh-key,form,voucher
:
Product: mozilla.org
Classification: Other
Component: Repository Account Requests (show other bugs)
: other
: All All
: -- normal (vote)
: ---
Assigned To: Justin Dow [:jabba]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-08 16:49 PST by Thomas Schwecherl
Modified: 2012-01-29 17:42 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
ssh config (195 bytes, text/plain)
2012-01-11 15:53 PST, Thomas Schwecherl
no flags Details
hgrc (170 bytes, text/plain)
2012-01-11 15:55 PST, Thomas Schwecherl
no flags Details

Description Thomas Schwecherl 2012-01-08 16:49:56 PST
I've an SVN Account and now I need Mercurial access to the German localization. Kadir Topal will vouch for me.
Comment 1 Marcia Knous [:marcia - use ni] 2012-01-09 12:00:55 PST
Thomas: Just to clarify, which level of access do you need? http://www.mozilla.org/hacking/commit-access-policy/
Comment 2 Axel Hecht [:Pike] 2012-01-09 12:06:10 PST
That'd be a level 1a one.

Kadir, you're up for vouching?

Thomas, do you have a bug number for your first account? We'll probably also need an ssh public key for you attached to this bug.
Comment 3 Thomas Schwecherl 2012-01-09 13:08:29 PST
Axel:
LDAP account request: Bug 437504
SVN account request with public key: Bug 484835

Marcia:
Don't know which level of access I need to do German Fx and toolkit translations. Kadir, can you clarify? I'm starting my work in "l10n-central/de".
Comment 4 Kadir Topal [:atopal] 2012-01-09 13:37:11 PST
I am vouching for Thomas, for whatever level he needs to push to hg.mozilla.org for the German localization.
Comment 5 Axel Hecht [:Pike] 2012-01-09 13:39:31 PST
Over to server-ops. Please make Thomas' account a level 1a account with scm_l10n.
Comment 6 Michael Burns [:mburns] 2012-01-10 06:31:03 PST
enabled scm_l10n and Hg bits. Thomas, let me know if you have any trouble pushing/pulling.
Comment 7 Thomas Schwecherl 2012-01-10 16:49:47 PST
Michael, I can't push with following error message:

$ hg push
Übertrage nach ssh://hg.mozilla.org/l10n-central/de/
Suche nach Änderungen
Entfernt: Füge Änderungssätze hinzu
Entfernt: Abbruch: Permission denied: /repo/hg/mozilla/l10n-central/de/.hg/store/00changelog.i
Abbruch: unexpected response: leere Zeichenkette (empty string)
Comment 8 Axel Hecht [:Pike] 2012-01-11 14:32:50 PST
Common error:

Does your ~/.ssh/config have something like

Host hg.mozilla.org
User thomas.lendo@gmail.com

?

If so, doing an 

ssh -v hg.mozilla.org clone foo

and attaching the output is gonna be helpful in debugging. Also, your ~/.hgrc and the ssh config are usually fine to share, so if you can attach them, we can help out.
Comment 9 Thomas Schwecherl 2012-01-11 15:52:35 PST
Axel:
This is the output of "ssh -v hg.mozilla.org clone foo".

$ ssh -v hg.mozilla.org clone foo
OpenSSH_5.5p1 Debian-4ubuntu6, OpenSSL 0.9.8o 01 Jun 2010
debug1: Reading configuration data /home/xxxx/.ssh/config
debug1: Applying options for *
debug1: Applying options for hg.mozilla.org
debug1: Reading configuration data /etc/ssh/ssh_config
debug1: Applying options for *
debug1: Connecting to hg.mozilla.org [63.245.208.189] port 22.
debug1: Connection established.
debug1: identity file /home/xxxx/.ssh/id_dsa type 2
debug1: Checking blacklist file /usr/share/ssh/blacklist.DSA-1024
debug1: Checking blacklist file /etc/ssh/blacklist.DSA-1024
debug1: identity file /home/xxxx/.ssh/id_dsa-cert type -1
debug1: Remote protocol version 2.0, remote software version OpenSSH_5.2
debug1: match: OpenSSH_5.2 pat OpenSSH*
debug1: Enabling compatibility mode for protocol 2.0
debug1: Local version string SSH-2.0-OpenSSH_5.5p1 Debian-4ubuntu6
debug1: SSH2_MSG_KEXINIT sent
debug1: SSH2_MSG_KEXINIT received
debug1: kex: server->client aes128-ctr hmac-md5 zlib@openssh.com
debug1: kex: client->server aes128-ctr hmac-md5 zlib@openssh.com
debug1: SSH2_MSG_KEX_DH_GEX_REQUEST(1024<1024<8192) sent
debug1: expecting SSH2_MSG_KEX_DH_GEX_GROUP
debug1: SSH2_MSG_KEX_DH_GEX_INIT sent
debug1: expecting SSH2_MSG_KEX_DH_GEX_REPLY
debug1: Host 'hg.mozilla.org' is known and matches the RSA host key.
debug1: Found key in /home/xxxx/.ssh/known_hosts:6
debug1: ssh_rsa_verify: signature correct
debug1: SSH2_MSG_NEWKEYS sent
debug1: expecting SSH2_MSG_NEWKEYS
debug1: SSH2_MSG_NEWKEYS received
debug1: Roaming not allowed by server
debug1: SSH2_MSG_SERVICE_REQUEST sent
debug1: SSH2_MSG_SERVICE_ACCEPT received
debug1: Authentications that can continue: publickey,gssapi-with-mic
debug1: Next authentication method: gssapi-with-mic
debug1: Unspecified GSS failure.  Minor code may provide more information
Credentials cache file '/tmp/krb5cc_1000' not found

debug1: Unspecified GSS failure.  Minor code may provide more information
Credentials cache file '/tmp/krb5cc_1000' not found

debug1: Unspecified GSS failure.  Minor code may provide more information

debug1: Next authentication method: publickey
debug1: Offering public key: /home/xxxx/.ssh/id_dsa
debug1: Server accepts key: pkalg ssh-dss blen 434
debug1: Enabling compression at level 6.
debug1: Authentication succeeded (publickey).
debug1: channel 0: new [client-session]
debug1: Requesting no-more-sessions@openssh.com
debug1: Entering interactive session.
debug1: Sending environment.
debug1: Sending env LANG = de_AT.utf8
debug1: Sending command: clone foo
Making repo foo for thomas.lendo@gmail.com.
This repo will appear as hg.mozilla.org/users/thomas.lendo_gmail.com/foo.
If you need a top level repo, please quit now and file a bug for IT to create one for you.

0) Exit.
1) yes.
2) no.

Proceed? 1
You can clone an existing public repo or a users private repo.
You can also create an empty repository.

0) Exit.
1) Clone a public repository.
2) Clone a private repository.
3) Create an empty repository.

Source repository: 0
debug1: client_input_channel_req: channel 0 rtype exit-status reply 0
debug1: client_input_channel_req: channel 0 rtype eow@openssh.com reply 0
debug1: channel 0: free: client-session, nchannels 1
Transferred: sent 2520, received 2632 bytes, in 116.7 seconds
Bytes per second: sent 21.6, received 22.6
debug1: Exit status 0
debug1: compress outgoing: raw data 193, compressed 163, factor 0.84
debug1: compress incoming: raw data 716, compressed 460, factor 0.64
Comment 10 Thomas Schwecherl 2012-01-11 15:53:54 PST
Created attachment 587857 [details]
ssh config
Comment 11 Thomas Schwecherl 2012-01-11 15:55:05 PST
Created attachment 587858 [details]
hgrc
Comment 12 Axel Hecht [:Pike] 2012-01-12 01:22:12 PST
ok, so your hg account works, so far so good.

does 
hg clone ssh://hg.mozilla.org/l10n-central/de/
work?

PS: I recommend putting the username in the [ui] section into a global hgrc
Comment 13 Thomas Schwecherl 2012-01-14 18:18:29 PST
Axel, it works fine:

$ hg clone ssh://hg.mozilla.org/l10n-central/de/
Zielverzeichnis: de
Fordere alle Änderungen an
Füge Änderungssätze hinzu
Füge Manifeste hinzu
Füge Dateiänderungen hinzu
Fügte 1915 Änderungssätze mit 4443 Änderungen zu 1130 Dateien (+16 Köpfe) hinzu
Aktualisiere auf Zweig default
945 files updated, 0 files merged, 0 files removed, 0 files unresolved
Comment 14 Axel Hecht [:Pike] 2012-01-15 07:50:27 PST
Then pushing should also work. I did verify that the scm_l10n bit is set right.
Comment 15 Thomas Schwecherl 2012-01-15 15:41:10 PST
Unfortunately it still doesn't work:

$ hg push
Übertrage nach ssh://hg.mozilla.org/l10n-central/de/
Suche nach Änderungen
Entfernt: Füge Änderungssätze hinzu
Entfernt: Abbruch: Permission denied: /repo/hg/mozilla/l10n-central/de/.hg/store/00changelog.i
Abbruch: unexpected response: leere Zeichenkette
Comment 16 Axel Hecht [:Pike] 2012-01-16 01:28:25 PST
Reopening to get some input from IT, I'm running out of ideas.
Comment 17 Dumitru Gherman [:dumitru] 2012-01-23 14:03:20 PST
Thomas, can you see if it's working now? It looks to me that you were having the problems when we upgraded Mercurial on our servers and things were a little unstable back then.
Thanks!
Comment 18 Thomas Schwecherl 2012-01-25 12:36:48 PST
Dumitru, sorry, nothing changed. I've cloned a new local repository and I can do anything except "push":

$ hg push
Übertrage nach ssh://hg.mozilla.org/l10n-central/de/
Suche nach Änderungen
Entfernt: Füge Änderungssätze hinzu
Entfernt: Abbruch: Permission denied: /repo/hg/mozilla/l10n-central/de/.hg/store/00changelog.i
Abbruch: unexpected response: leere Zeichenkette
Comment 19 Justin Dow [:jabba] 2012-01-26 11:25:29 PST
Please try one more time.

the .hg/store/00changelog.i file had permissions hg:scm_level_1 instead of hg:scm_l10n.

I've fixed this.
Comment 20 Thomas Schwecherl 2012-01-26 12:35:41 PST
Justin, thank you!
Now it works fine.

First check-in: http://hg.mozilla.org/l10n-central/de/rev/5626f0efc5b1
Comment 21 Justin Dow [:jabba] 2012-01-26 13:30:30 PST
Great! Sorry for the prolonged trouble.
Comment 22 Axel Hecht [:Pike] 2012-01-29 10:26:13 PST
Justin, I reread this in the light of bug 718320.

Thomas should have level1, as the l10n hg accounts are level 1a accounts.
Comment 23 Justin Dow [:jabba] 2012-01-29 17:42:47 PST
ok, I added scm_level_1 as well.

Note You need to log in before you can comment on or make changes to this bug.